# Mapping Rules to Sections (in CSAF 2.0 CS01)

Given [CSAF 2.0 CS01](https://docs.oasis-open.org/csaf/csaf/v2.0/cs01/csaf-v2.0-cs01.html)
the following mappings from rules to test sections are available:

> All rules target subsections of section [6.1 Mandatory Tests](https://docs.oasis-open.org/csaf/csaf/v2.0/cs01/csaf-v2.0-cs01.html#61-mandatory-tests)

* `unique_product_ids.py` --> [6.1.1 Missing Definition of Product ID](https://docs.oasis-open.org/csaf/csaf/v2.0/cs01/csaf-v2.0-cs01.html#611-missing-definition-of-product-id)
* `defined_product_ids.py` --> [6.1.2 Multiple Definition of Product ID](https://docs.oasis-open.org/csaf/csaf/v2.0/cs01/csaf-v2.0-cs01.html#612-multiple-definition-of-product-id)
* `acyclic_product_ids.py` --> [6.1.3 Circular Definition of Product ID](https://docs.oasis-open.org/csaf/csaf/v2.0/cs01/csaf-v2.0-cs01.html#613-circular-definition-of-product-id)
* `defined_group_ids.py` --> [6.1.4 Missing Definition of Product Group ID](https://docs.oasis-open.org/csaf/csaf/v2.0/cs01/csaf-v2.0-cs01.html#614-missing-definition-of-product-group-id)
* `unique_group_ids.py` --> [6.1.5 Multiple Definition of Product Group ID](https://docs.oasis-open.org/csaf/csaf/v2.0/cs01/csaf-v2.0-cs01.html#615-multiple-definition-of-product-group-id)
* `consistent_product_status.py` --> [6.1.6 Contradicting Product Status](https://docs.oasis-open.org/csaf/csaf/v2.0/cs01/csaf-v2.0-cs01.html#616-contradicting-product-status)
* `pending` --> [6.1.7 Multiple Scores with same Version per Product](https://docs.oasis-open.org/csaf/csaf/v2.0/cs01/csaf-v2.0-cs01.html#617-multiple-scores-with-same-version-per-product)
* `pending` --> [6.1.8 Invalid CVSS](https://docs.oasis-open.org/csaf/csaf/v2.0/cs01/csaf-v2.0-cs01.html#618-invalid-cvss)
* `pending` --> [6.1.9 Invalid CVSS computation](https://docs.oasis-open.org/csaf/csaf/v2.0/cs01/csaf-v2.0-cs01.html#619-invalid-cvss-computation)
* `pending` --> [6.1.10 Inconsistent CVSS](https://docs.oasis-open.org/csaf/csaf/v2.0/cs01/csaf-v2.0-cs01.html#6110-inconsistent-cvss)
* `pending` --> [6.1.11 CWE](https://docs.oasis-open.org/csaf/csaf/v2.0/cs01/csaf-v2.0-cs01.html#6111-cwe)
* `pending` --> [6.1.12 Language](https://docs.oasis-open.org/csaf/csaf/v2.0/cs01/csaf-v2.0-cs01.html#6112-language)
* `pending` --> [6.1.13 PURL](https://docs.oasis-open.org/csaf/csaf/v2.0/cs01/csaf-v2.0-cs01.html#6113-purl)
* `pending` --> [6.1.14 Sorted Revision History](https://docs.oasis-open.org/csaf/csaf/v2.0/cs01/csaf-v2.0-cs01.html#6114-sorted-revision-history)
* `pending` --> [6.1.15 Translator](https://docs.oasis-open.org/csaf/csaf/v2.0/cs01/csaf-v2.0-cs01.html#6115-translator)
* `pending` --> [6.1.16 Latest Document Version](https://docs.oasis-open.org/csaf/csaf/v2.0/cs01/csaf-v2.0-cs01.html#6116-latest-document-version)
* `pending` --> [6.1.17 Document Status Draft](https://docs.oasis-open.org/csaf/csaf/v2.0/cs01/csaf-v2.0-cs01.html#6117-document-status-draft)
* `pending` --> [6.1.18 Released Revision History](https://docs.oasis-open.org/csaf/csaf/v2.0/cs01/csaf-v2.0-cs01.html#6118-released-revision-history)
* `pending` --> [6.1.19 Revision History Entries for Pre-release Versions](https://docs.oasis-open.org/csaf/csaf/v2.0/cs01/csaf-v2.0-cs01.html#6119-revision-history-entries-for-pre-release-versions)
* `pending` --> [6.1.20 Non-draft Document Version](https://docs.oasis-open.org/csaf/csaf/v2.0/cs01/csaf-v2.0-cs01.html#6120-non-draft-document-version)
* `pending` --> [6.1.21 Missing Item in Revision History](https://docs.oasis-open.org/csaf/csaf/v2.0/cs01/csaf-v2.0-cs01.html#6121-missing-item-in-revision-history)
* `pending` --> [6.1.22 Multiple Definition in Revision History](https://docs.oasis-open.org/csaf/csaf/v2.0/cs01/csaf-v2.0-cs01.html#6122-multiple-definition-in-revision-history)
* `pending` --> [6.1.23 Multiple Use of Same CVE](https://docs.oasis-open.org/csaf/csaf/v2.0/cs01/csaf-v2.0-cs01.html#6123-multiple-use-of-same-cve)
* `pending` --> [6.1.24 Multiple Definition in Involvements](https://docs.oasis-open.org/csaf/csaf/v2.0/cs01/csaf-v2.0-cs01.html#6124-multiple-definition-in-involvements)
* `pending` --> [6.1.25 Multiple Use of Same Hash Algorithm](https://docs.oasis-open.org/csaf/csaf/v2.0/cs01/csaf-v2.0-cs01.html#6125-multiple-use-of-same-hash-algorithm)
* `pending` --> [6.1.26 Prohibited Document Category Name](https://docs.oasis-open.org/csaf/csaf/v2.0/cs01/csaf-v2.0-cs01.html#6126-prohibited-document-category-name)
